rabin.h File Reference

Classes for Rabin encryption and signature schemes. More...

Go to the source code of this file.

## Classes

class | RabinFunction
| Rabin trapdoor function using the public key. More...
class | InvertibleRabinFunction
| Rabin trapdoor function using the private key. More...
struct | Rabin
| Rabin keys. More...
struct | RabinES< STANDARD >
| Rabin encryption scheme. More...
struct | RabinSS< STANDARD, H >
| Rabin signature scheme. More...

## Typedefs

typedef RabinES< OAEP< SHA1 > >::Decryptor | RabinDecryptor
typedef RabinES< OAEP< SHA1 > >::Encryptor | RabinEncryptor

## Detailed Description

Classes for Rabin encryption and signature schemes.

Definition in file rabin.h.